Summary: GpsDrive is a GPS-based mobile navigation system
Name: gpsdrive
Version: 2.09
Release: 2%{?dist}
#Epoch: 1
License: GPL
Group: Applications/Communications
Source0: http://www.gpsdrive.cc/%{name}-%{version}.tar.gz
#Source1: 
Patch0: gcc4.patch
#Patch1: 
URL: http://www.gpsdrive.cc
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: gpsd, festival, mysql
BuildRequires: festival-devel, mysql-devel, gtk2-devel, pcre-devel
BuildRequires: desktop-file-utils

%description
GpsDrive is a car (bike, ship, plane) navigation system. GpsDrive displays 
your position provided from your NMEA capable GPS receiver on a zoomable 
map, the map file is autoselected depending of the position and prefered 
scale. Speech output is supported if the "festival" software is running. The 
maps are autoselected for best resolution depending of your position and can 
be downloaded from Internet. All Garmin GPS reveiver with a serial output 
should be usable, also other GPS receiver which supports NMEA protocol.

%package devel
Summary: Supporting libraries for GpsDrive
Group: Development/Libraries

%description devel
Development libraries for GpsDrive

%prep
%setup -q
%patch0 -p1

%build
%configure
make %{_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall

desktop-file-install --vendor fedora                \
	--dir ${RPM_BUILD_ROOT}%{_datadir}/applications \
	--add-category X-Fedora                         \
	%{name}.desktop

%{__rm} -f ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog CREDITS FAQ.gpsdrive FAQ.gpsdrive.fr GPS-receivers NEWS NMEA.txt README README.FreeBSD README.gpspoint2gspdrive README.kismet README.nasamaps README.SQL TODO
%{_bindir}/
%{_libdir}/libfly
%{_libdir}/libfly.2*
%{_libdir}/libnautic
%{_libdir}/libnautic.2*
%{_libdir}/*.la
%{_datadir}/%{name}
#%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/fedora-gpsdrive.desktop
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/pixmaps/gpsicon.png
%{_mandir}/man1/*
%{_mandir}/*/man1/*

%files devel
%defattr(-, root, root)
%{_libdir}/*.a

%changelog
* Fri Jul 14 2006 Rafal Kwasny <rkwasny@aurox.org> 2.09-2
- rebuild for Aurox

* Sat Apr 22 2006 Douglas E. Warner <silfreed@silfreed.net> 2.09-1
- Initial RPM release.

